cc.Class({
    extends: cc.Component,

    properties: {
        // ballPrefab:cc.Prefab
    },

    // use this for initialization
    onLoad: function () {
        
    },

    unuse(){
        // cc.log('unuse');
    },

    reuse(){
        // cc.log('reuse');
    },

    

    // onBeginContact(contact,self,other){
    //     if(other.getComponent('Ball').isAttackAble){
    //         let newBall = cc.instantiate(this.ballPrefab);
    //         newBall.position = this.node.position;
    //         newBall.parent = this.node.parent;
    //         this.node.parent = null;
    //         other.getComponent('Ball').isAttackAble = false;
    //     }
    // },

    onDestroy(){
        // cc.log('destroy');
    },

    onDisable(){
        // cc.log('disble');
    }
});
